{
    "name": "hyperf/biz-skeleton",
    "type": "project",
    "keywords": [
        "php",
        "swoole",
        "framework",
        "hyperf",
        "microservice",
        "middleware"
    ],
    "description": "A coroutine framework that focuses on hyperspeed and flexible, specifically use for build microservices and middlewares.",
    "license": "Apache-2.0",
    "require": {
        "php": ">=7.2",
        "ext-json": "*",
        "ext-openssl": "*",
        "ext-pdo": "*",
        "ext-pdo_mysql": "*",
        "ext-redis": "*",
        "ext-swoole": ">=4.2",
        "alipaysdk/easysdk": "^1.2",
        "chillerlan/php-qrcode": "^3.2",
        "doctrine/dbal": "^2.10",
        "guzzlehttp/guzzle": "^6.5",
        "hyperf/amqp": "1.1.*",
        "hyperf/async-queue": "1.1.*",
        "hyperf/cache": "1.1.*",
        "hyperf/circuit-breaker": "1.1.*",
        "hyperf/command": "^1.1",
        "hyperf/config": "1.1.*",
        "hyperf/constants": "1.1.*",
        "hyperf/contract": "1.1.*",
        "hyperf/crontab": "^1.1",
        "hyperf/database": "1.1.*",
        "hyperf/db-connection": "1.1.*",
        "hyperf/devtool": "1.1.*",
        "hyperf/di": "1.1.*",
        "hyperf/dispatcher": "1.1.*",
        "hyperf/elasticsearch": "1.1.*",
        "hyperf/event": "1.1.*",
        "hyperf/exception-handler": "1.1.*",
        "hyperf/framework": "1.1.*",
        "hyperf/guzzle": "1.1.*",
        "hyperf/http-server": "1.1.*",
        "hyperf/logger": "1.1.*",
        "hyperf/memory": "1.1.*",
        "hyperf/model-cache": "1.1.*",
        "hyperf/paginator": "1.1.*",
        "hyperf/pool": "1.1.*",
        "hyperf/process": "1.1.*",
        "hyperf/redis": "1.1.*",
        "hyperf/retry": "^1.1",
        "hyperf/translation": "^1.1",
        "hyperf/utils": "1.1.*",
        "hyperf/validation": "^1.1",
        "kosinix/grafika": "^2.0",
        "overtrue/easy-sms": "^1.1",
        "overtrue/wechat": "~4.0",
        "phper666/jwt-auth": "~2.0.1",
        "phpoffice/phpspreadsheet": "^1.13",
        "symfony/css-selector": "^5.0",
        "symfony/dom-crawler": "^5.1",
        "wi1dcard/alipay-sdk": "^1.3",
        "zhangv/wechat-pay": "^1.4"
    },
    "require-dev": {
        "friendsofphp/php-cs-fixer": "^2.14",
        "hyperf/testing": "1.1.*",
        "mockery/mockery": "^1.0",
        "phpstan/phpstan": "^0.11.2",
        "swoft/swoole-ide-helper": "^4.2"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/"
        },
        "files": [
            "app/Kernel/Functions.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "HyperfTest\\": "./test/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "sort-packages": true
    },
    "extra": [],
    "scripts": {
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "test": "co-phpunit -c phpunit.xml --colors=always",
        "cs-fix": "php-cs-fixer fix $1",
        "analyse": "phpstan analyse --memory-limit 300M -l 0 -c phpstan.neon ./app ./config",
        "start": "php ./bin/hyperf.php start",
        "init-proxy": "init-proxy.sh"
    }
}
